<template>
    <nav class="flex items-center justify-start w-full h-full text-center gap-4">
        <h2 class="text-2xl font-bold mx-4">MySchool</h2>
        <NuxtLink to="/">Home</NuxtLink>
        <NuxtLink to="/about">About</NuxtLink>
        <NuxtLink v-if="!user" to="/login">Login</NuxtLink>
        <NuxtLink v-if="user" to="/other">Other</NuxtLink>
        <NuxtLink v-if="user" to="/groups">Groups</NuxtLink>
        <div class="flex-1"></div>
        <ToggleDarkMode></ToggleDarkMode>
        <div class="px-4">{{ user?.email }}</div>
    </nav>
</template>

<script setup lang="ts">

const user = useStrapiUser()

console.log(user.value)


</script>